using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace Hotline.Application.Exam.Interface.Strategy
{
    public interface IExamStrategy
    {

        public bool Validate();

        public void SetNext(IExamStrategy examStrategy);


        public string ErroMessage { get; }

        public Func<object> CallBack { get; set; }

        public object GetResult();


    }
}
